package com.example.cubeinspace;

import android.content.Context;
import android.opengl.GLSurfaceView;
import android.util.Log;
import android.view.MotionEvent;

public class CISSurfaceView extends GLSurfaceView {
  private static final String TAG = "CISSV";
  private CISGLRenderer renderer;
  private float prevX = 0;
  private float prevY = 0;
  
  public CISSurfaceView(Context c) {
    super(c);
    setEGLContextClientVersion(2);
    renderer = new CISGLRenderer(this.getContext());
    setRenderer(renderer);
  }
  
  public boolean onTouchEvent(MotionEvent e) {
    float x = e.getX();
    float y = e.getY();
    float height = getHeight();
    float width = getWidth();
    switch (e.getAction()) {
    case MotionEvent.ACTION_UP:
      renderer.diffX = 0;
      renderer.diffY = 0;
      break;
    case MotionEvent.ACTION_DOWN:
      prevX = (x - width/2) * -1;
      prevY = (y - height/2) * -1;
      break;
    case MotionEvent.ACTION_MOVE:
      float dx = (x - width/2) * -1;
      float dy = (y - height/2) * -1;
      renderer.diffX = (dx - prevX) / (width/2);
      renderer.diffY = (dy - prevY) / (height/2);
      prevX = dx;
      prevY = dy;
    }
    return true;
  }
}

